[arch-commits] Commit in gegl/repos (4 files)

Antonio Rojas arojas at archlinux.org
Wed Jan 11 13:05:47 UTC 2017


    Date: Wednesday, January 11, 2017 @ 13:05:47
  Author: arojas
Revision: 285667

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
    (from rev 285666, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
    (from rev 285666, gegl/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   58 ++++++++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   58 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 285666, gegl/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2017-01-11 13:05:47 UTC (rev 285667)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=4
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg'
+             'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun'
+             'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+            'openexr: openexr plugin'
+            'ffmpeg: ffmpeg plugin'
+            'suitesparse: matting-levin plugin'
+            'librsvg: svg plugin'
+            'jasper: jasper plugin'
+            'libtiff: tiff plugin'
+            'lua: lua plugin'
+            'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+    --with-libavformat --with-jasper --disable-docs \
+    --enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 285666, gegl/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2017-01-11 13:05:47 UTC (rev 285667)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=4
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg'
+             'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun'
+             'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+            'openexr: openexr plugin'
+            'ffmpeg: ffmpeg plugin'
+            'suitesparse: matting-levin plugin'
+            'librsvg: svg plugin'
+            'jasper: jasper plugin'
+            'libtiff: tiff plugin'
+            'lua: lua plugin'
+            'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+    --with-libavformat --with-jasper --disable-docs \
+    --enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}



More information about the arch-commits mailing list